import 'package:flutter/widgets.dart';

extension WidgetDesktopX on Widget {
  /// 仅在桌面端添加点击手势光标
  Widget withClickCursor(bool isDesktop) {
    if (isDesktop) {
      return MouseRegion(cursor: SystemMouseCursors.click, child: this);
    }
    return this;
  }
}
